package com.example.mynotepad.MenuFeatures.AllNotes.DataBase;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;
    @Entity
    public class Note {
        @PrimaryKey(autoGenerate = true)
        int ID;
        @ColumnInfo(name = "title")
        String title ;
        @ColumnInfo(name = "description")
        String txtBody;
        @ColumnInfo(name = "archived")
        boolean isarchived;

        public Note(String title , String txtBody , boolean isarchived){
            this.title = title;
            this.txtBody = txtBody;
            this.isarchived = isarchived;
        }


        public int getID() {
            return ID;
        }

        public String getTitle() {
            return title;
        }

        public String getDescription() {
            return txtBody;
        }

        public boolean isarchived(){
            return isarchived;
        }
}
